#ifndef _KPILOT_TESTSTATE_H
#define _KPILOT_TESTSTATE_H
/* teststate.h                       KPilot
**
** Copyright (C) 2006 Bertjan Broeksema
**
** This file defines the teststate for vcal-conduitbase.
*/

/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program in a file called COPYING; if not, write to
** the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
** MA 02110-1301, USA.
*/

/*
** Bug reports and questions can be sent to kde-pim@kde.org
*/

#include <kcal/calendarlocal.h>

#include "conduitstate.h"


/**
 * State to test the vcal-conduit. @see vcal-conduitstate.h
 */
class TestState : public ConduitState
{
private:
	KCal::CalendarLocal fCalendar;
	int fPilotindex;

public:
	TestState();
	virtual ~TestState();

	virtual void startSync( ConduitAction* );
	virtual void handleRecord( ConduitAction* );
	virtual void finishSync( ConduitAction* );
};

#endif
